### Method

# Gtk TreeModelget_path

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_get_path (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns a newly-created `GtkTreePath` referenced by `iter`.

This path should be freed with gtk_tree_path_free().

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `GtkTreePath`

A newly-created `GtkTreePath`

The caller of the method takes ownership of the data, and is responsible for freeing it.